Subject: Re: bug#61704: 29.0.60; Crash in get_narrowed_begv

From: Gregory Heytings <[email-masked]>
Date: Wed, 22 Feb 2023 13:40:41 +0000

>>> How can len possibly be 0 at that point?  It is (in short)
>
> Because the pixel width of W is less than its frame's column width. The 
> division performed window_body_width is truncating, i.e:
>
>  24 / 25 = 0
>
> and I suspect the actual width being divded at that point is less than 
> w->pixel_width, since that window had fringes.
>

In that case it's a bug in window_body_width I guess, which should do

/* Don't return a non-positive value.  */
return max (width / denom, 1);

>
> I did say that this happened while resizing the window.  It was being 
> displayed in an ediff-created frame.
>

You mean, the ediff popup control frame?